# Method: videos.lookupVideo

- [HTTP request](https://developers.google.com/maps/documentation/aerial-view/reference/rest/v1/videos/lookupVideo#body.HTTP_TEMPLATE)
- [Query parameters](https://developers.google.com/maps/documentation/aerial-view/reference/rest/v1/videos/lookupVideo#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/maps/documentation/aerial-view/reference/rest/v1/videos/lookupVideo#body.request_body)
- [Response body](https://developers.google.com/maps/documentation/aerial-view/reference/rest/v1/videos/lookupVideo#body.response_body)
  - [JSON representation](https://developers.google.com/maps/documentation/aerial-view/reference/rest/v1/videos/lookupVideo#body.Video.SCHEMA_REPRESENTATION)
- [Uris](https://developers.google.com/maps/documentation/aerial-view/reference/rest/v1/videos/lookupVideo#Uris)
  - [JSON representation](https://developers.google.com/maps/documentation/aerial-view/reference/rest/v1/videos/lookupVideo#Uris.SCHEMA_REPRESENTATION)

Fetches a video given its address or videoId. The response will either be a video with a set of playback URIs for ACTIVE videos, a PROCESSING state for pending videos, or a 404 error if the video does not exist. Receiving a video is a billable event, so callers of this method should be ready to use the returned URIs at the time of request.

### HTTP request

`GET https://aerialview.googleapis.com/v1/videos:lookupVideo`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Query parameters

| Parameters ||
|---|---|
| Union parameter `key`. Required. A key used to look-up a video. `key` can be only one of the following: ||
| `videoId` | `string` An ID returned from `videos.renderVideo`. |
| `address` | `string` A US postal address. |

### Request body

The request body must be empty.

### Response body

An object that encapsulates all of the data about a video.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "uris": { string: { object (`https://developers.google.com/maps/documentation/aerial-view/reference/rest/v1/videos/lookupVideo#Uris`) }, ... }, "state": enum (`https://developers.google.com/maps/documentation/aerial-view/reference/rest/v1/State`), "metadata": { object (`https://developers.google.com/maps/documentation/aerial-view/reference/rest/v1/VideoMetadata`) } } ``` |

| Fields ||
|---|---|
| `uris` | ``map (key: string, value: object (`https://developers.google.com/maps/documentation/aerial-view/reference/rest/v1/videos/lookupVideo#Uris`))`` A mapping of media types to their URIs. This field is only included for `ACTIVE` videos. The key is an enum value from `MediaFormat`. An object containing a list of `"key": value` pairs. Example: `{ "name": "wrench", "mass": "1.3kg", "count": "3" }`. |
| `state` | ``enum (`https://developers.google.com/maps/documentation/aerial-view/reference/rest/v1/State`)`` Current state of the render request. |
| `metadata` | ``object (`https://developers.google.com/maps/documentation/aerial-view/reference/rest/v1/VideoMetadata`)`` Contains the video's metadata, only set if the state is `ACTIVE`. |

## Uris

Contains all the uris for a given video format.

| JSON representation |
|---|
| ``` { "landscapeUri": string, "portraitUri": string } ``` |

| Fields ||
|---|---|
| `landscapeUri` | `string` A signed short-lived URI for the media in a landscape orientation. |
| `portraitUri` | `string` A signed short-lived URI for the media in a portrait orientation. |